## com.trilead.ssh2.packets
Class PacketChannelOpenConfirmation

    java.lang.Object
      com.trilead.ssh2.packets.PacketChannelOpenConfirmation

    public class PacketChannelOpenConfirmation

extends java.lang.Object

PacketChannelOpenConfirmation.

Field Summary
`int` `initialWindowSize`
`int` `maxPacketSize`
`int` `recipientChannelID`
`int` `senderChannelID`

Constructor Summary
`PacketChannelOpenConfirmation(byte[] payload, int off, int len)`
`PacketChannelOpenConfirmation(int recipientChannelID, int senderChannelID, int initialWindowSize, int maxPacketSize)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipientChannelID

    public int recipientChannelID

### senderChannelID

    public int senderChannelID

### initialWindowSize

    public int initialWindowSize

### maxPacketSize

    public int maxPacketSize

Constructor Detail

### PacketChannelOpenConfirmation

    public PacketChannelOpenConfirmation(int recipientChannelID,
                                         int senderChannelID,
                                         int initialWindowSize,
                                         int maxPacketSize)

### PacketChannelOpenConfirmation

    public PacketChannelOpenConfirmation(byte[] payload,
                                         int off,
                                         int len)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPayload

    public byte[] getPayload()